Get Service Account
curl --request GET \
--url https://cloud.cdata.com/api/v1/admin/service-accounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/v1/admin/service-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/v1/admin/service-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "active",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "<string>",
"operations": [
"create"
],
"type": "connection",
"assigned_at": "2023-11-07T05:31:56Z",
"assigned_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": {
"code": "SERVICE_ACCOUNT_NOT_FOUND",
"message": "The specified service account does not exist."
}
}Service Accounts
Get Service Account
Get a single service account, including its directly assigned permissions.
GET
/
service-accounts
/
{id}
Get Service Account
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Service account identifier (UUID).
Response
OK
Service account identifier.
Unique display name within the organization.
Optional free-text description of the service account.
Current lifecycle state of the service account.
Available options:
active, deactivated Auto-generated. Used for OAuth 2.0 client credentials authentication.
Idempotency key supplied by the calling system.
ISO 8601 UTC.
User ID of the creator.
Direct permissions assigned to this service account.
Show child attributes
Show child attributes
Was this page helpful?